Commit 1f5ca6c6 authored by Ben Boeckel's avatar Ben Boeckel

gitsetup: update for gitlab

parent ddd9cdde
[hooks]
url = git://vtk.org/VTK.git
[gerrit]
project = ParaViewSuperbuild
site = http://review.source.kitware.com
pushurl = $username@review.source.kitware.com:ParaViewSuperbuild
url = https://gitlab.kitware.com/utils/gitsetup.git
[upstream]
url = https://gitlab.kitware.com/cmb/cmb-superbuild.git
[gitlab]
host = gitlab.kitware.com
group-path = cmb
group-name = CMB
project-path = cmb-superbuild
project-name = CMB-SuperBuild
#!/usr/bin/env bash
USAGE="[<remote>] [--no-topic] [--dry-run] [--]"
OPTIONS_SPEC=
SUBDIRECTORY_OK=Yes
. "$(git --exec-path)/git-sh-setup"
#-----------------------------------------------------------------------------
remote=''
refspecs=''
no_topic=''
dry_run=''
# Parse the command line options.
while test $# != 0; do
case "$1" in
--no-topic) no_topic=1 ;;
--dry-run) dry_run=--dry-run ;;
--) shift; break ;;
-*) usage ;;
*) test -z "$remote" || usage ; remote="$1" ;;
esac
shift
done
test $# = 0 || usage
# Default remote.
test -n "$remote" || remote="gerrit"
if test -z "$no_topic"; then
# Identify and validate the topic branch name.
topic="$(git symbolic-ref HEAD | sed -e 's|^refs/heads/||')"
if test "$topic" = "master"; then
die 'Please name your topic:
git checkout -b descriptive-name'
fi
refspecs="HEAD:refs/for/master/$topic"
fi
# Exit early if we have nothing to push.
if test -z "$refspecs"; then
echo "Nothing to push!"
exit 0
fi
# Fetch the current upstream master branch head.
# This helps the computation of a minimal pack to push.
echo "Fetching $remote master"
fetch_out=$(git fetch "$remote" master 2>&1) || die "$fetch_out"
# Push. Save output and exit code.
echo "Pushing to $remote"
push_stdout=$(git push --porcelain $dry_run "$remote" $refspecs); push_exit=$?
echo "$push_stdout"
# Reproduce the push exit code.
exit $push_exit
#!/usr/bin/env bash
# Make sure we are inside the repository.
cd "${BASH_SOURCE%/*}/.."
echo "Ensuring all submodules are checked out and up to date..."
git submodule init
git submodule sync
git submodule update
cd "${BASH_SOURCE%/*}/.." &&
Scripts/GitSetup/setup-user && echo &&
Scripts/GitSetup/setup-hooks && echo &&
Scripts/setup-git-aliases && echo &&
(Scripts/GitSetup/setup-upstream ||
echo 'Failed to setup origin. Run this again to retry.') && echo &&
(Scripts/GitSetup/setup-gitlab ||
echo 'Failed to setup GitLab. Run this again to retry.') && echo &&
Scripts/GitSetup/tips
# Rebase master by default
git config rebase.stat true
git config branch.master.rebase true
echo "Checking basic user information..."
Scripts/GitSetup/setup-user
echo
Scripts/GitSetup/setup-hooks
echo
echo "Setting up git aliases..."
Scripts/setup-git-aliases
echo
echo "Setting up Gerrit..."
Scripts/GitSetup/setup-gerrit ||
echo "Failed to setup Gerrit. Run this script again to retry."
echo
setup_version=1
git config hooks.setup ${setup_version}
echo "Setup for development complete for ParaViewSuperbuild."
# Record the version of this setup so Scripts/pre-commit can check it.
SetupForDevelopment_VERSION=2
git config hooks.SetupForDevelopment ${SetupForDevelopment_VERSION}
......@@ -6,4 +6,4 @@ GITCONFIG="git config"
${GITCONFIG} alias.prepush 'log --graph --stat origin/master..'
# Alias to push the current topic branch to Gerrit
${GITCONFIG} alias.gerrit-push "!bash Scripts/git-gerrit-push"
${GITCONFIG} alias.gitlab-push "!bash Scripts/GitSetup/git-gitlab-push"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment